Bug 138543 - NullPointerException when making changelog entry
NullPointerException when making changelog entry
Status: CLOSED NEXTRELEASE
Product: Red Hat Developer Suite
Classification: Retired
Component: Changelog (Show other bugs)
2.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Muldoon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-09 15:29 EST by Tom Tromey
Modified: 2014-08-11 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-15 16:00:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Tromey 2004-11-09 15:29:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
I got a NullPointerException when trying
to make a new changelog entry (via the key binding).
I believe the cursor was in the import section of
a .java file when doing this.

Here is the stack trace from .log

java.lang.NullPointerException
	at
com.redhat.eclipse.changelog.core.parsers.JavaParser.parseCurrentFunction(Lorg.eclipse.ui.IEditorPart;)Ljava.lang.String;(JavaParser.java:48)
	at
com.redhat.eclipse.changelog.core.actions.KeyAction.runParserContributor(Ljava.lang.String;)Ljava.lang.String;(KeyAction.java:106)
	at
com.redhat.eclipse.changelog.core.actions.KeyAction.run(Lorg.eclipse.jface.action.IAction;)V(KeyAction.java:175)
	at
org.eclipse.ui.internal.PluginAction.runWithEvent(Lorg.eclipse.swt.widgets.Event;)V(PluginAction.java:276)
	at
org.eclipse.ui.internal.WWinPluginAction.runWithEvent(Lorg.eclipse.swt.widgets.Event;)V(WWinPluginAction.java:206)
	at
org.eclipse.ui.commands.ActionHandler.execute(Ljava.util.Map;)Ljava.lang.Object;(ActionHandler.java:141)
	at
org.eclipse.ui.internal.commands.Command.execute(Ljava.util.Map;)Ljava.lang.Object;(Command.java:132)
	at
org.eclipse.ui.internal.keys.WorkbenchKeyboard.executeCommand(Ljava.lang.String;)Z(WorkbenchKeyboard.java:471)
	at
org.eclipse.ui.internal.keys.WorkbenchKeyboard.press(Ljava.util.List;Lorg.eclipse.swt.widgets.Event;)Z(WorkbenchKeyboard.java:889)
	at
org.eclipse.ui.internal.keys.WorkbenchKeyboard.processKeyEvent(Ljava.util.List;Lorg.eclipse.swt.widgets.Event;)V(WorkbenchKeyboard.java:930)
	at
org.eclipse.ui.internal.keys.WorkbenchKeyboard.filterKeySequenceBindings(Lorg.eclipse.swt.widgets.Event;)V(WorkbenchKeyboard.java:548)
	at
org.eclipse.ui.internal.keys.WorkbenchKeyboard.access$200(Lorg.eclipse.ui.internal.keys.WorkbenchKeyboard;Lorg.eclipse.swt.widgets.Event;)V(WorkbenchKeyboard.java:84)
	at
org.eclipse.ui.internal.keys.WorkbenchKeyboard$1.handleEvent(Lorg.eclipse.swt.widgets.Event;)V(WorkbenchKeyboard.java:261)
	at
org.eclipse.swt.widgets.EventTable.sendEvent(Lorg.eclipse.swt.widgets.Event;)V(EventTable.java:82)
	at
org.eclipse.swt.widgets.Display.filterEvent(Lorg.eclipse.swt.widgets.Event;)Z(Display.java:1006)
	at
org.eclipse.swt.widgets.Widget.sendEvent(Lorg.eclipse.swt.widgets.Event;)V(Widget.java:953)
	at
org.eclipse.swt.widgets.Widget.sendEvent(ILorg.eclipse.swt.widgets.Event;Z)V(Widget.java:978)
	at
org.eclipse.swt.widgets.Widget.sendEvent(ILorg.eclipse.swt.widgets.Event;)V(Widget.java:963)
	at
org.eclipse.swt.widgets.Control.sendKeyEvent(ILorg.eclipse.swt.internal.gtk.GdkEventKey;)Z(Control.java:2337)
	at
org.eclipse.swt.widgets.Control.gtk_key_press_event(II)I(Control.java:1816)
	at
org.eclipse.swt.widgets.Composite.gtk_key_press_event(II)I(Composite.java:440)
	at org.eclipse.swt.widgets.Widget.windowProc(III)I(Widget.java:1207)
	at org.eclipse.swt.widgets.Display.windowProc(III)I(Display.java:3098)
	at org.eclipse.swt.internal.gtk.OS.gtk_main_do_event(I)V(OS.java:???)
	at org.eclipse.swt.widgets.Display.eventProc(II)I(Display.java:879)
	at org.eclipse.swt.internal.gtk.OS.gtk_main_iteration()I(OS.java:???)
	at org.eclipse.swt.widgets.Display.readAndDispatch()Z(Display.java:2297)
	at
org.eclipse.ui.internal.Workbench.runEventLoop(Lorg.eclipse.jface.window.Window$IExceptionHandler;Lorg.eclipse.swt.widgets.Display;)V(Workbench.java:1377)
	at org.eclipse.ui.internal.Workbench.runUI()I(Workbench.java:1348)
	at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Lorg.eclipse.swt.widgets.Display;Lorg.eclipse.ui.application.WorkbenchAdvisor;)I(Workbench.java:254)
	at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(Lorg.eclipse.swt.widgets.Display;Lorg.eclipse.ui.application.WorkbenchAdvisor;)I(PlatformUI.java:141)
	at
org.eclipse.ui.internal.ide.IDEApplication.run(Ljava.lang.Object;)Ljava.lang.Object;(IDEApplication.java:96)


Version-Release number of selected component (if applicable):
eclipse-changelog-2.0-1

How reproducible:
Didn't try

Steps to Reproduce:
Open java file
Put cursor in imports
Type C-A-c

Additional info:

Note You need to log in before you can comment on or make changes to this bug.